/*
 * Copyright 2013 Peter Olsson
 * 
 * This file is part of Brum Brum Rally.
 * 
 * Brum Brum Rally is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Brum Brum Rally is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef JOYSTICKDEVICE_H
#define JOYSTICKDEVICE_H

#include "InputDevice.h"
#include "SDL.h"

class JoystickDevice : public InputDevice
{
public:
	JoystickDevice(int i);
	~JoystickDevice();
	virtual std::string getName() const;
	virtual Driver* createDriver() const;
private:
	std::string name;
	SDL_Joystick* joy;
};

#endif

